# -*- coding: utf-8 -*-
from setuphelpers import *

r"""
Usable WAPT package functions: install(), uninstall(), session_setup(), audit(), update_package()
  {
   "key":"qFlipper",
   "name":"qFlipper 1.3.3",
   "version":"1.3.3",
   "install_date":"",
   "install_location":"",
   "uninstall_string":"\"C:\\Program Files\\qFlipper\\uninstall.exe\"",
   "publisher":"Flipper Devices Inc.",
   "system_component":0,
   "win64":true
  }

"""
# Declaring global variables - Warnings: 1) WAPT context is only available in package functions; 2) Global variables are not persistent between calls


def install():
    # Declaring local variables
    bin_name = glob.glob('qFlipperSetup-64bit-*.exe')[0]
    # Installing the software
    
    install_exe_if_needed(bin_name,
        silentflags='/S',
        key='qFlipper',
        min_version= control.get_software_version()
    )



